blk_queue_hardsect_size
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_hardsect_size — set hardware sector size for the queue

## Synopsis

`void blk_queue_hardsect_size (` | struct request_queue * | q,
| unsigned short | size`)`;

## Arguments

`q`

  the request queue for the device

`size`

  the hardware sector size, in bytes

## Description

This should typically be set to the lowest possible sector size that the hardware can operate on (possible without reverting to even internal read-modify-write operations). Usually the default of 512 covers most hardware.

Prev | Up | Next
blk_queue_max_segment_size | Home | blk_queue_stack_limits